#:kivy 1.9

<Domino>:
    color: 1,1,0,1
    x: self.board.torig_x + self.col*self.board.tsize
    y: self.board.torig_y + self.row*self.board.tsize
    width: 2*self.board.tsize if self.horiz else self.board.tsize
    height: self.board.tsize if self.horiz else 2*self.board.tsize
    canvas:
        PushMatrix:
        Rotate:
            axis: 0,0,1
            angle: self.rangle
            origin: self.rpos
        Color:
            rgba: root.color
        Rectangle:
            pos: root.pos[0]+root.board.tmargin, root.pos[1]+root.board.tmargin
            size: root.size[0]-2*root.board.tmargin, root.size[1]-2*root.board.tmargin
        PopMatrix:


<Flipper>:
    disabled: not (self.domino and self.domino.neighbor)
    color: 1,0.4,0,(0 if self.disabled else 1)
    x: (self.domino.x + (self.domino.width/2.0 if self.domino.horiz else self.domino.width) - root.radius) if self.domino else 0
    y: ((self.domino.y if self.domino.horiz else self.domino.y + self.domino.height/2.0) - root.radius) if self.domino else 0
    canvas:
        Color:
            rgba: root.color
        Ellipse:
            pos: root.pos
            size: (root.radius*2.0, root.radius*2.0)
